#ifndef __CONSOLE_INPUT_H__
#define __CONSOLE_INPUT_H__

#include <iostream>
#include "input.h"

class console_input final : public input {
private:
        std::istream &in;
public:
        // This is for cin
        console_input(std::istream &cin);
        game_command get_command() override;
};

#endif
